'''
% Kaplan-Meier estimator 
% This program  estimates the survival function from observation of lifetimes.
%
%
% Last Update: 2011.06.03
% By Jae-Seong Yang, destine@postech.ac.kr
'''

import SurvivalData

if __name__ == "__main__":
    conditions = SurvivalData.ReadDataFromFile( "sample.txt" )

    SurvivalData.CalculateSubplotData( conditions )

    for aData in conditions:
        print "Sample:", aData.name
        print "\t".join(["Time","At Risk","Dead","Censored","Percent Mortality(%)","S_hat", "Var S_hat","SE(S)","Survival Time"] )
        for aKMData in aData.km_data_list:
            print aKMData.time,"\t",\
            aKMData.at_risk,"\t",\
            aKMData.dead,"\t",\
                aKMData.censored,"\t",\
                aKMData.percent_mortality, "\t",\
                aKMData.s_hat,"\t",\
                aKMData.var_s_hat,"\t",\
                aKMData.se_s,"\t",\
                aKMData.surv_time
        print ""

